TopStats.gg
Discord

Rankings

GET
/discord/rankings/{type}

Authorization

ApiKeyAuth
authorization<token>

In: header

Path Parameters

type*string

Type of rankings to fetch

Value in"bots"

Query Parameters

limit?number

Maximum number of results to return

Default100
Range1 <= value <= 500
offset?number

Offset for pagination

Default0
Range0 <= value
sortBy?||

Field to sort by

Default"monthly_votes_rank"
sortMethod?|

Sort order

Default"asc"

Response Body

application/json

application/json

curl -X GET "https://api.topstats.gg/discord/rankings/bots"
{
  "totalBotCount": 47175,
  "data": [
    {
      "id": "432610292342587392",
      "name": "Mudae",
      "monthly_votes": 3073270,
      "monthly_votes_rank": 1,
      "server_count": 3371839,
      "server_count_rank": 16,
      "total_votes": 251205351,
      "total_votes_rank": 1,
      "review_count": 14722,
      "monthly_votes_rank_change": 0,
      "server_count_rank_change": 0,
      "total_votes_rank_change": 0
    },
    {
      "id": "646937666251915264",
      "name": "Karuta",
      "monthly_votes": 1094152,
      "monthly_votes_rank": 2,
      "server_count": 876954,
      "server_count_rank": 46,
      "total_votes": 121621660,
      "total_votes_rank": 2,
      "review_count": 1250,
      "monthly_votes_rank_change": 0,
      "server_count_rank_change": 0,
      "total_votes_rank_change": 0
    }
  ]
}
{
  "code": 404,
  "message": "Resource not found"
}